## flask 3.0.0

=== debian/changelog ===
flask (3.0.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - d/control: Demote python3-dotenv to Suggests; this is
      is an optional dependency not in Ubuntu main.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Dec 2023 09:26:53 +0100

flask (3.0.0-1) experimental; urgency=medium

  * Team upload
  * [65d9c5b] d/gbp.conf: Add some basic defaults for git-buildpackage
  * [9905535] d/watch: Add compression type and improve readability
  * [c716c54] d/gbp.conf: Adjust to branch debian/experimental
  * [9f8663f] New upstream version 3.0.0
    (Closes: #901448, #1056247, #1058304)
  * [8482b3e] Rebuild patch queue drom patch-queue branch
    Added patch:
    docs-Use-intersphix-with-Debian-packages.patch
    Renamed patches:
    0001-Don-t-require-sphinxcontrib.log_cabinet-extension.patch
     -> Don-t-require-sphinxcontrib.log_cabinet-extension.patch
    0002-Make-the-documentation-build-reproducibly.patch
     -> PATCH-Make-the-documentation-build-reproducibly.patch
    remove-eticalads-in-doc.patch
     -> Remove-eticalads-in-doc.patch
    Removed patch:
    remove-using-intersphinx.patch
  * [ddc7c5e] d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * [d010060] d/control: Update B-D as upstream has moved to flit
  * [c9f535f] d/control: Adjust related B-D and add BuildProfileSpecs
  * [9e93261] d/rules: Drop --with option in default target
  * [fc84f5e] d/rules: Improve build of Sphinx based documentation
  * [3bbfe4e] autopkgtest: Clean up test dependencies
    Remove mostly all of the previous set dependencies, we only need the
    pytest packages, all other deps need to get pulled automatically, if not
    than this is a issue in the python3-flask package.
  * [b0bd5d8] d/copyright: Update content and copyright holders
  * [b3d91e7] d/u/metadata: Small updates
  * [fe64378] d/control: Reflect GitHub project website as Homepage
  * [97d4a02] d/.salsa-ci.yml: Adding trigger file for Salsa CI
  * [11a587d] d/README.source: Adding a README file about source specifics

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 21 Dec 2023 07:22:23 +0100

## flask 3.0.2

=== debian/changelog ===
flask (3.0.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - d/control: Demote python3-dotenv to Suggests; this is
      is an optional dependency not in Ubuntu main.
    - fakesync due to different orig tarball

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Feb 2024 09:28:03 +0100

flask (3.0.2-1) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * New upstream version 3.0.2
  * [1ac9117] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 10 Feb 2024 07:51:40 +0100

flask (3.0.2-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Merge with Debian; remaining changes:
    - d/control: Demote python3-dotenv to Suggests; this is
      is an optional dependency not in Ubuntu main.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Feb 2024 23:46:00 +0100

flask (3.0.1-1) experimental; urgency=medium

  * Team upload
  * New upstream version 3.0.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 23 Jan 2024 19:48:13 +0100

=== debian/control ===
Source: flask
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 flit,
 pybuild-plugin-pyproject,
 python-blinker-doc <!nodoc>,
 python-click-doc <!nodoc>,
 python-itsdangerous-doc <!nodoc>,
 python-jinja2-doc <!nodoc>,
 python-sqlalchemy-doc <!nodoc>,
 python-werkzeug-doc <!nodoc>,
 python-wtforms-doc <!nodoc>,
 python3-all,
 python3-blinker (>= 1.6.2) <!nocheck !nodoc>,
 python3-click (>= 8.1.3) <!nocheck !nodoc>,
 python3-doc <!nodoc>,
 python3-itsdangerous (>= 2.1.2) <!nocheck !nodoc>,
 python3-jinja2 <!nocheck>,
 python3-pallets-sphinx-themes <!nodoc>,
 python3-pytest (>= 7.4) <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-issues <!nodoc>,
 python3-sphinx-tabs <!nodoc>,
 python3-werkzeug (>= 3.0.1) <!nocheck>,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/flask.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask
Homepage: https://github.com/pallets/flask
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-flask
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-asgiref,
 python3-blinker,
 python3-click (>= 8.0),
 python3-itsdangerous (>= 2.0),
 python3-pkg-resources,
 python3-werkzeug (>= 2.2.2),
Suggests:
 python3-dotenv,
 python-flask-doc,
Description: micro web framework based on Werkzeug and Jinja2 - Python 3.x
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions. A minimal Flask application looks like that:
 .
   from flask import Flask
   app = Flask(__name__)
 .
   @app.route("/")
   def hello():
       return "Hello World!"
 .
   if __name__ == '__main__':
       app.run()
 .
 This package contains the Python 3.x module.

Package: python-flask-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 python3-flask,
Multi-Arch: foreign
Description: micro web framework based on Werkzeug and Jinja2 - documentation
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions. A minimal Flask application looks like that:
 .
   from flask import Flask
   app = Flask(__name__)
 .
   @app.route("/")
   def hello():
       return "Hello World!"
 .
   if __name__ == '__main__':
       app.run()
 .
 This package contains the documentation for Flask.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=flask
export PYBUILD_BEFORE_TEST=cp CHANGES.rst {build_dir}
export PYBUILD_AFTER_TEST=rm {build_dir}/CHANGES.rst
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/site_egg'
export PYBUILD_TEST_ARGS="-k not test_main_module_paths"

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	LC_ALL=C.UTF-8 http_proxy='' dh_auto_test

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "flask*dist-info" | head -n1)` \
	    python3 -m sphinx -b html docs/ $(SPHINXOPTS) debian/python-flask-doc/usr/share/doc/python-flask-doc/html/
	dh_sphinxdoc
	# Remove unwanted license file, we already reference d/copyright
	rm -f $(CURDIR)/debian/python-flask-doc/usr/share/doc/python-flask-doc/html/_sources/license.rst.txt
	rm -f $(CURDIR)/debian/python-flask-doc/usr/share/doc/python-flask-doc/html/license.html
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

## flask 3.0.3

=== debian/changelog ===
flask (3.0.3-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

  [ Carsten Schoenert ]
  * [055d043] New upstream version 3.0.3
  * [411725a] Rebuild patch queue drom patch-queue branch
    Adjusted/refreshed patch:
    Don-t-require-sphinxcontrib.log_cabinet-extension.patch
  * [eed4cbc] d/rules: Add override_dh_clean

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 12 Apr 2024 08:13:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Ondřej Nový <onovy@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -46,11 +45,11 @@
  python3-asgiref,
  python3-blinker,
  python3-click (>= 8.0),
+ python3-dotenv,
  python3-itsdangerous (>= 2.0),
  python3-pkg-resources,
  python3-werkzeug (>= 2.2.2),
 Suggests:
- python3-dotenv,
  python-flask-doc,
 Description: micro web framework based on Werkzeug and Jinja2 - Python 3.x
  Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,10 @@
 %:
 	dh $@ --buildsystem=pybuild
 
+override_dh_clean:
+	dh_clean
+	rm -rf .mypy_cache
+
 override_dh_auto_test:
 	LC_ALL=C.UTF-8 http_proxy='' dh_auto_test

## flask 3.1.0

=== debian/changelog ===
flask (3.1.0-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote python3-dotenv to Suggests; this is
      is an optional dependency not in Ubuntu main.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Nov 2024 10:08:46 +0100

flask (3.1.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 25 Nov 2024 18:56:47 +0100

flask (3.1.0-1) experimental; urgency=medium

  * Team upload
  * [2914640] New upstream version 3.1.0
  * [b9404d3] d/control: Bump versions of some build dependencies
  * [4d8cf4f] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.
  * [e35784b] d/control: Drop some Recommends from python3-flask
  * [d2f9773] d/rules: Drop -D option from SPHINXOPTS
    All these packages are already in Depends and python3-pkg-resources
    can be dropped.
  * [d2f9773] d/rules: Drop -D option from SPHINXOPTS

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 22 Nov 2024 23:34:43 +0100

flask (3.0.3-1ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - d/control: Demote python3-dotenv to Suggests; this is
      is an optional dependency not in Ubuntu main.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 14:57:59 +0200

=== debian/control ===
--- 
+++ 
@@ -18,18 +18,18 @@
  python-werkzeug-doc <!nodoc>,
  python-wtforms-doc <!nodoc>,
  python3-all,
- python3-blinker (>= 1.6.2) <!nocheck !nodoc>,
+ python3-blinker (>= 1.9.0) <!nocheck !nodoc>,
  python3-click (>= 8.1.3) <!nocheck !nodoc>,
  python3-doc <!nodoc>,
- python3-itsdangerous (>= 2.1.2) <!nocheck !nodoc>,
+ python3-itsdangerous (>= 2.2) <!nocheck !nodoc>,
  python3-jinja2 <!nocheck>,
  python3-pallets-sphinx-themes <!nodoc>,
  python3-pytest (>= 7.4) <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-issues <!nodoc>,
  python3-sphinx-tabs <!nodoc>,
- python3-werkzeug (>= 3.0.1) <!nocheck>,
-Standards-Version: 4.6.2
+ python3-werkzeug (>= 3.1.0) <!nocheck>,
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask
 Homepage: https://github.com/pallets/flask
@@ -43,13 +43,8 @@
  ${python3:Depends},
 Recommends:
  python3-asgiref,
- python3-blinker,
- python3-click (>= 8.0),
+Suggests:
  python3-dotenv,
- python3-itsdangerous (>= 2.0),
- python3-pkg-resources,
- python3-werkzeug (>= 2.2.2),
-Suggests:
  python-flask-doc,
 Description: micro web framework based on Werkzeug and Jinja2 - Python 3.x
  Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,7 @@
 
 #export DH_VERBOSE = 1
 
-include /usr/share/dpkg/pkg-info.mk
-
-BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
-SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
+SPHINXOPTS := -E -N
 
 export PYBUILD_NAME=flask
 export PYBUILD_BEFORE_TEST=cp CHANGES.rst {build_dir}

## flask 3.1.1

=== debian/changelog ===
flask (3.1.1-1) unstable; urgency=medium

  * Team upload
  * [69dc41c] New upstream version 3.1.1
    Fixed CVE issue in upstream version 3.1.1:
    CVE-2025-47278: Fix signing key selection order when key rotation is
                    enabled via SECRET_KEY_FALLBACKS
    (Closes: #1105794)
  * [50f7161] Rebuild patch queue drom patch-queue branch
    Adjusted/refreshed patch:
    docs-Use-intersphix-with-Debian-packages.patch
  * [e3fc0e6] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.
  * [67c8d12] d/copyright: Update year data
  * [c895c07] d/rules: Drop removal of non existing folder anymore
  * [c5ee3a5] d/rules: Remove Readme.md file from module folder

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 17 May 2025 10:15:33 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  python3-sphinx-issues <!nodoc>,
  python3-sphinx-tabs <!nodoc>,
  python3-werkzeug (>= 3.1.0) <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask
 Homepage: https://github.com/pallets/flask
@@ -43,8 +43,8 @@
  ${python3:Depends},
 Recommends:
  python3-asgiref,
+ python3-dotenv,
 Suggests:
- python3-dotenv,
  python-flask-doc,
 Description: micro web framework based on Werkzeug and Jinja2 - Python 3.x
  Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-pytest (>= 7.4),
 @,
Restrictions: allow-stderr

## flask 3.1.2

=== examples/celery/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --resolver=backtracking pyproject.toml
#
amqp==5.1.1
    # via kombu
async-timeout==4.0.2
    # via redis
billiard==3.6.4.0
    # via celery
blinker==1.6.2
    # via flask
celery[redis]==5.2.7
    # via flask-example-celery (pyproject.toml)
click==8.1.3
    # via
    #   celery
    #   click-didyoumean
    #   click-plugins
    #   click-repl
    #   flask
click-didyoumean==0.3.0
    # via celery
click-plugins==1.1.1
    # via celery
click-repl==0.2.0
    # via celery
flask==2.3.2
    # via flask-example-celery (pyproject.toml)
itsdangerous==2.1.2
    # via flask
jinja2==3.1.2
    # via flask
kombu==5.2.4
    # via celery
markupsafe==2.1.2
    # via
    #   jinja2
    #   werkzeug
prompt-toolkit==3.0.38
    # via click-repl
pytz==2023.3
    # via celery
redis==4.5.4
    # via celery
six==1.16.0
    # via click-repl
vine==5.0.0
    # via
    #   amqp
    #   celery
    #   kombu
wcwidth==0.2.6
    # via prompt-toolkit
werkzeug==2.3.3
    # via flask

=== debian/changelog ===
flask (3.1.2-1) unstable; urgency=medium

  * Team upload
  * [5d5c1ee] d/watch: Migrate to version 5
  * [df7faf6] New upstream version 3.1.2
  * [3754031] Rebuild patch queue from patch-queue branch
    Adjusted/refreshed patch:
    Remove-eticalads-in-doc.patch
  * [f28a36f0] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [7dc3949] d/control: Add python3-asgiref to build depends
  * [e4bae35] autopkgtest: Add here new dependency too

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 28 Aug 2025 16:45:32 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  python-werkzeug-doc <!nodoc>,
  python-wtforms-doc <!nodoc>,
  python3-all,
+ python3-asgiref <!nocheck>,
  python3-blinker (>= 1.9.0) <!nocheck !nodoc>,
  python3-click (>= 8.1.3) <!nocheck !nodoc>,
  python3-doc <!nodoc>,
@@ -34,7 +35,6 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask
 Homepage: https://github.com/pallets/flask
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-flask
 Architecture: all

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-asgiref,
 python3-pytest (>= 7.4),
 @,
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Source: https://github.com/pallets/flask.git
Matching-Pattern: refs/tags/(\d[brc\d\.]+)
Compression: gz
Mode: git
Uversionmangle: s/\.0rc/~rc/; s/\.0b1/~b1/; s/\.0b2/~b2/; s/\.0b3/~b3/

## flask 3.1.3

=== debian/changelog ===
flask (3.1.3-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote python3-dotenv to Suggests; this is
      is an optional dependency not in Ubuntu main.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Feb 2026 10:00:17 +0100

flask (3.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 10:02:35 +0100

flask (3.1.2-1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:38:24 +0100

flask (3.1.2-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote python3-dotenv to Suggests; this is
      is an optional dependency not in Ubuntu main.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Aug 2025 17:44:05 +0200

flask (3.1.1-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote python3-dotenv to Suggests; this is
      is an optional dependency not in Ubuntu main.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 May 2025 07:54:03 +0200

## flask appbuilder-5.0.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Flask-AppBuilder.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Flask-AppBuilder.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Flask-AppBuilder"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Flask-AppBuilder"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## flask attachments-0.1.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = flask_attachments
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## flask cognitologin-0.1.2

=== docs/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # You can set these variables from the command line.
 SPHINXOPTS    =
 SPHINXBUILD   = python -msphinx
-SPHINXPROJ    = flask_attachments
+SPHINXPROJ    = flask_cognitologin
 SOURCEDIR     = .
 BUILDDIR      = _build

## flask easyapi-0.0.6

=== docs/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # You can set these variables from the command line.
 SPHINXOPTS    =
 SPHINXBUILD   = python -msphinx
-SPHINXPROJ    = flask_cognitologin
+SPHINXPROJ    = flask_easyapi
 SOURCEDIR     = .
 BUILDDIR      = _build

## flask first-0.1.1

=== Makefile ===
create_venv:
	# Create virtual environment.
	python3.8 -m venv venv
	./venv/bin/pip3 install --upgrade pip
	./venv/bin/pip3 install --upgrade setuptools
	./venv/bin/pip3 install --upgrade wheel
	./venv/bin/pip3 install -r requirements.txt

test:
	# Run pytest.
	./venv/bin/pytest --cov=flask_first tests/

format:
	# Run checking and formatting sources.
	./venv/bin/pre-commit run -a

=== requirements.txt ===
flask==2.0.1
pytest==6.2.4
pytest-cov==2.12.1
pre-commit==2.13.0
pyyaml==5.4.1
openapi-spec-validator==0.2.9
flit==3.2.0
flask-first==0.1.0

## flask gordon-0.23.2

=== requirements.txt ===
# connexion[swagger-ui] 2.14.2 depends on flask<2.3
flask<3.0.0
werkzeug<3.0.0
pyyaml
torxtools>=1.0.4

## flask lan-0.1.11

=== Makefile ===
.DEFAULT_GOAL := all
isort = hatch run isort flask_lan tests
black = hatch run black flask_lan tests

.PHONY: check
check:
	hatch run flake8 flask_lan/ tests/
	$(isort) --check-only --df
	$(black) --check --diff

.PHONY: lint
lint:
	$(isort)
	$(black)

.PHONY: test
test:
	hatch run coverage run -m pytest tests/

.PHONY: coverage
coverage:
	hatch run coverage report --show-missing --skip-covered --fail-under=90
	hatch run coverage xml
	hatch run coverage html

.PHONY: docs
docs:
	hatch run mkdocs build

.PHONY: build
build:
	hatch build
	hatch run mkdocs build --clean

.PHONY: publish
publish:
	hatch publish
	hatch run mkdocs gh-deploy --force

## flask limiter-4.1.1

=== Makefile ===
lint:
	uv run ruff check flask_limiter tests examples --select I
	uv run ruff format --check flask_limiter tests examples
	uv run ruff check flask_limiter tests examples 
	uv run mypy flask_limiter

lint-fix:
	uv run ruff check flask_limiter tests examples --select I --fix
	uv run ruff format flask_limiter tests examples
	uv run ruff check --fix flask_limiter tests examples 
	uv run mypy flask_limiter

## flask os-0.1.22110323

=== flask_os/conf/requirements.txt ===
flask
# sqlalchemy_utils
flask-sqlalchemy
sqlalchemy
simplejson
mysql-connector-python
flask-migrate== 2.7.0
flask-script
#celery==4.4.6
#celery-context==0.0.3.21030512
#celery-sqlalchemy-scheduler
funcy
python-dotenv
# flask-cors
blinker~=1.4
six

## flask postgres-0.1.2

=== Makefile ===
.PHONY: install
install:
	pip install flit
	flit install --deps develop

.PHONY: build
build:
	flit build

.PHONY: publish
publish:
	flit publish

.PHONY: test
test:
	pytest

=== docs/requirements.txt ===
mkdocs
pymdown-extensions
mkdocs-material
mkdocs-macros-plugin
pygments

## flask postgres-0.2.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: install
 install:
 	pip install flit
-	flit install --deps develop
+	flit install --deps develop --symlink
 
 .PHONY: build
 build:

=== docs/requirements.txt ===
mkdocs
pymdown-extensions
mkdocs-material
mkdocs-macros-plugin
pygments
markdown-include

## flask regiment-1.1.2

=== requirements.txt ===
blinker==1.4
certifi==2020.12.5
chardet==4.0.0
click==7.1.2
Flask==1.1.2
idna==2.10
itsdangerous==1.1.0
Jinja2==2.11.3
MarkupSafe==1.1.1
requests==2.25.1
urllib3==1.26.3
Werkzeug==1.0.1

## flask rpc-0.1.7

=== requirements.txt ===
flask
flask-orjson
flask-sqlalchemy
pydantic
requests
faker

## flask siilo-0.1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/flask_siilo.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/flask_siilo.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/flask_siilo"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/flask_siilo"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## flask template-0.4.2

=== requirements.txt ===
sh
click

=== flask_template/templates/simple/requirements.txt ===
Flask
Flask-SQLAlchemy
Flask-Migrate
gunicorn

click
shortuuid
pycrypto
pymysql

## flask tinyauth-0.0.1

=== requirements.txt ===
requests
flask_restful
flake8
flake8-isort
pytest
pytest-cov
codecov

## flask warehouse-0.1.12

=== docs/Makefile ===
--- 
+++ 
@@ -85,17 +85,17 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/flask_siilo.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/flask_warehouse.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/flask_siilo.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/flask_warehouse.qhc"
 
 devhelp:
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/flask_siilo"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/flask_siilo"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/flask_warehouse"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/flask_warehouse"
 	@echo "# devhelp"
 
 epub:
